Update Current User
curl --request PATCH \
--url https://api.example.com/api/v1/users/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"timezone": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({first_name: '<string>', last_name: '<string>', timezone: '<string>'})
};
fetch('https://api.example.com/api/v1/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/api/v1/users/me"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"display_name": "<string>",
"picture": "<string>",
"email_verified": true,
"has_password": true,
"timezone": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_login_at": "2023-11-07T05:31:56Z"
}Users
Update Current User
PATCH
/
api
/
v1
/
users
/
me
Update Current User
curl --request PATCH \
--url https://api.example.com/api/v1/users/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"timezone": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({first_name: '<string>', last_name: '<string>', timezone: '<string>'})
};
fetch('https://api.example.com/api/v1/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/api/v1/users/me"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"display_name": "<string>",
"picture": "<string>",
"email_verified": true,
"has_password": true,
"timezone": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_login_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
OK